<?cs include:"doctype.cs" ?>

<html>  <?cs # vim: set syntax=html :?>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Dashboard &gt; Add Channel</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("iguana_configuration.css") ?>" />
</head>

<body class="tableft">

      <?cs set:Navigation.CurrentTab = "Dashboard" ?>
      <?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/dashboard.html">Dashboard</a> &gt; Add Channel
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
            <center>

               <h2>Add Channel</h2>
               
               <?cs if: !CurrentUserCanAdmin && !ErrorMessage ?>
                  <?cs set:ErrorMessage = 'Administrative permissions required to add a channel.' ?>
               <?cs /if ?>
               
               <?cs if:ErrorMessage ?>
                  <h3><font color="red"><?cs var:html_escape(ErrorMessage) ?></font></h3>
               <?cs /if ?>
               
               <?cs if:StatusMessage ?>
                  <h3><font color="green"><?cs var:html_escape(StatusMessage) ?></font></h3>
               <?cs /if ?>

               <?cs if:CurrentUserCanAdmin ?>
                  
                  <form method="post" action="channel.html">
               
                     <table class="configuration" style="width: 450px">
                        <tr>
                           <th colspan="2">Select Channel Components</th>
                        </tr>
                        <tr>
                           <td class="left_column">Source</td>
                           <td>
                              <select id="selectSource" class="configuration" name="SourceType">
                                 <?cs each: source_type = SourceTypes ?>
                                    <option value="<?cs var:html_escape(source_type) ?>"><?cs var:html_escape(source_type) ?></option>
                                 <?cs /each ?>
                              </select>
                           </td>
                        </tr>
                        <tr>
                           <td class="left_column">Destination</td>
                           <td>
                              <select id="selectDestination" class="configuration" name="DestinationType">
                                 <?cs each: destination_type = DestinationTypes ?>
                                    <option value="<?cs var:html_escape(destination_type) ?>"><?cs var:html_escape(destination_type) ?></option>
                                 <?cs /each ?>
                              </select>
                           </td>
                        </tr>
                     </table>

                     <br />
                     <input id="ConfigureChannel" type="submit" class="hidden_submit" value="Configure Channel" />
                     <table id="buttons"><tr><td>
                        <a class="button" onClick="document.getElementById('ConfigureChannel').click();"><span>Configure Channel</span></a>
                     </td></tr></table>
                     <br />
                  <?cs /if ?>
                  
               </form>
               
            </center>
         </td>
      </tr>

   </table>

</div>
      <div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
            <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
	     <p>
	 On this page, you select the source and destination components for the channel you are
	 creating.
	 </p>
	 <p>When you have selected the components, click <b>Configure Channel</b> to configure
	 the channel.
	 </p>
    <p>
      <b>To Translator</b> is recommended for many uses including calling web services and
      external programs.
    </p>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
            	<li>
            	<a href="<?cs var:help_link('iguana4_selecting_channel') ?>" target="_blank">Selecting the Channel Components</a>
            	</li>
            </ul>
         </td>
      </tr>
   </table>
   </div>
</body>

</html>
