<?cs include:"doctype.cs" ?>

<html>  <?cs # vim: set syntax=html :?>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Channel Groups</title>
   <?cs include:"browser_compatibility.cs" ?>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("transition.css") ?>" />
<!--[if IE 7]>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("transition-ie7.css") ?>" />
<![endif]-->
   <style type="text/css">

   div.warning_message 
   {
      height:35px;
      width:310px;
   }

   div.warning_text 
   {
      position:relative;
      top:10px;
   }

   </style> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
    <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/templates/channel_group_control.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/access_control.js") ?>"></script> 
</head>
<body class="tabright" >

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>


<div id="main">

   <div id="iguana">

      <div id="cookie_crumb">
         <a href="/advanced.html">Settings</a> &gt; Channel Groups
      </div>

      <div id="dashboard_body">

         <center>

            <?cs if:!CurrentUserCanAdmin ?>

            <div class="warning_message">
               <div class="warning_text">
                  Only administrators can view and edit channel groups.
               </div>
            </div>            

            <?cs else ?>

            <form name="remove_channel_group" method="get" action="channel_groupings_control.html">
               <input type="hidden" name="action" value="removeGroup" />
               <input type="hidden" name="group" />
            </form>
                   
            <div id="result" class="<?cs if:ErrorMessage ?>error<?cs elif:StatusMessage ?>success<?cs else?>indeterminate<?cs /if ?>"> 

               <div class="result_buttons_system">
                  <a id="result_close" ><img src="images\close_button.gif"/></a>
               </div>    

               <div id="result_title" class="<?cs if:ErrorMessage ?>error<?cs elif:StatusMessage ?>success<?cs /if ?>">

                  <?cs if:ErrorMessage ?>

                  Error
                  <?cs set:Content=ErrorMessage ?>

                  <?cs else ?>

                  Success
                  <?cs set:Content=StatusMessage ?>

                  <?cs /if ?>   

               </div>

               <div id="result_content">
                  <?cs var:html_escape(Content) ?>
               </div>

            </div>

            <div class="border_green"></div> 

            <div class="access_control">
       
               <div class="h1">
                  
                  <div class="h1_link" >
                     <span class="h1">Channel Groups</span>
                  </div>

                  <div class="h1_button" >

                     <?cs if:CurrentUserCanAdmin ?>

                     <!-- For buttons with embedded image, it must wrap the within a table cell in order for the text to be aligned properly on IE7.
                          This can be removed once the style is fixed for IE. --> 

                     <table style="border:0px;padding:0px;margin:0px;"><tr><td style="border:0px;padding:0px;margin:0px;">

                        <a class="button button_big" href="/editChannelGroup" onclick="this.blur();">
                           <span><img src="../<?cs var:skin("images/icon_add.gif") ?>" /> &nbsp;Add Channel Group</span>
                        </a>
 
                     </td></tr></table>

                     <?cs else ?>

                     <div class="button_disable" id="disabled_add_channel_group_button"><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Add Channel Group</span></div>

                     <?cs /if ?>

                  </div>

               </div>
                 
               <div id="channel_group_list" class="list">

                  <?cs if:ChannelGroupCount == #0 ?> 
                  There are no channel groups to view.
                  <?cs else ?>

                  <ul>
  
                     <?cs set:Count = #0 ?>

                     <?cs each:item = ChannelGroups ?>                        
                        
                     <li class="channel_group_list_row dark_row">

                        <div id="channel_group_<?cs var:item.ID ?>" class="list_row">

                           <input type="hidden" id="channel_group_index_<?cs var:item.ID ?>" value="<?cs var:#Count ?>" />     
                        
                           <div class="list_row_name_cell label_text">
                              <a class="channel_group_toggle label">
                                 <input class="group_id" type="hidden" value="<?cs var:item.ID ?>" />
                                 <input class="group_name" type="hidden" value="<?cs var:html_escape(item.Name) ?>" />
                                 <img id="channel_group_list_details_<?cs var:item.ID ?>_toggle" src="/images/arrow-contracted.gif" />
                                 <span id="channel_group_name_<?cs var:item.ID ?>" ><?cs var:html_escape(item.Name) ?></span>
                              </a>
                           </div>

                           <div class="link_left_channel_group">

                              <?cs if:CurrentUserCanAdmin ?>

                              <!-- For buttons with embedded image, it must wrap the within a table cell in order for the text to be aligned properly on IE7.
                                   This can be removed once the style is fixed for IE. --> 

                              <table style="border:0px;padding:0px;margin:0px;"><tr><td style="border:0px;padding:0px;margin:0px;">

                                 <a class="button button_smaller" href="editChannelGroup?group=<?cs var:url_escape(item.Name) ?>" >
                                    <span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit</span>
                                 </a>

                              </td></tr></table>

                              <?cs /if ?>

                           </div>
 
                           <div class="link_right_channel_group">

                              <?cs if:CurrentUserCanAdmin && item.Name != "All Channels" ?>

                              <!-- For buttons with embedded image, it must wrap the within a table cell in order for the text to be aligned properly on IE7.
                                   This can be removed once the style is fixed for IE. --> 
 
                              <table style="border:0px;padding:0px;margin:0px;"><tr><td style="border:0px;padding:0px;margin:0px;">

                                 <a class="button button_small channel_group_remove">
                                    <input class="channel_group_name" type="hidden" value="<?cs var:html_escape(item.Name) ?>" />
                                    <span><img src="../<?cs var:skin("images/icon_remove.gif") ?>" /> &nbsp;Remove</span>
                                 </a>

                              </td></tr></table>

                              <?cs /if ?>

                           </div>

                           <div id="channel_group_list_details_<?cs var:item.ID ?>" class="list_row_details hidden_not_place_holder">

                              <?cs if:item.ChannelCount == #0 ?>  
                              There are no channels in this group.
                              <?cs else ?>

                              <ul>
                                 <?cs each:item_channel = item.Channels ?> 
                                 <li>
                                 <?cs var:html_escape(item_channel.Name) ?>
                                 </li>  
                                 <?cs /each ?>  
                              </ul>

                               <?cs /if ?>                          

                           </div>

                        </div>    
                    
                     </li> 

                     <?cs set:Count = Count + #1 ?>

                     <?cs /each ?>   

                 </ul>

                 <?cs /if ?>
   
              </div>

            </div>

            <?cs /if ?>
                        
         </center>

      </div>
     
   </div>
   
</div>

<div id="side_panel">
   
   <div id="side_table">
      
      <div id="side_header">
      Page Help
      </div>

      <div id="side_body">

         <h4 class="side_title">Overview</h4>

         <?cs if:CurrentUserCanAdmin ?>
         <p>
         From this page, you can create and manage channel groups. These groups are useful for quickly setting up <a href="email_rules_view.html">email notification rules</a>.
         </p>
         <?cs else ?>
         <p>
         From this page, you can create and manage channel groups.
         </p>
         <p>
         You must have administrator permissions to edit channel groups.
         </p>
         <?cs /if ?>
     
         <h4 class="side_title">Related Settings</h4>

         <ul>

            <li> 
            <a href="/role_control.html">Roles & Users</a>
            </li>

            <li>
            <a href="/email_status.html">Email Notification</a>
            </li>

         </ul>

      </div>

      <div id="side_body">

         <h4 class="side_title">Help Links</h4>

         <ul class="help_link_icon">

         <li>
         <a href="<?cs var:help_link('iguana4_channel_groups') ?>" target="_blank">Channel Groups</a>
         </li>

         </ul>

      </div>
   
    </div>

</div>

</body>

</html> 
