<?cs include:"doctype.cs" ?>
<?cs include:"access_control_macros.cs" ?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Channel Groups</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
</head>

<script type="text/javascript"> <!--

function remove_group(Name)
{
   if( confirm('Remove group "' + Name + '"?') )
   {
      var groupName = document.getElementById("groupName");
      groupName.value = Name;
      document.getElementById("remove_group").submit();
   }
}

function generateTooltipText(DescriptionText, GroupChannelCount, GlobalChannelCount)
{
	var stringBuilder = [];
        if (DescriptionText != "")
	{
	   stringBuilder.push(DescriptionText);
	   stringBuilder.push("<br><br>");
	}

        if (GlobalChannelCount < 1)
	{
	   stringBuilder.push("<b>No channels defined.</b>");
	   return stringBuilder.join('');
	}
	
	stringBuilder.push("Contains <b>");
	stringBuilder.push(GroupChannelCount);
	stringBuilder.push("</b> of <b>");
	stringBuilder.push(GlobalChannelCount);
		
	if (GlobalChannelCount == 1)
	{
	   stringBuilder.push("</b> channel.");
	}
	else
	{
	   stringBuilder.push("</b> channels.");
	}

	return stringBuilder.join('');

}

--> </script>


<body class="tabright" >
      <?cs set:Navigation.CurrentTab = "Settings" ?>
      <?cs include:"header.cs" ?>
      
<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; Channel Groups
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
	      <form id="remove_group" name="remove_group" method="get" action="channel_groupings_view.html">
        	 <input type="hidden" name="action" value="remove" />
	         <input type="hidden" id="groupName" name="groupName" />
	      </form>
	 
            <center>         
               
               <?cs if:ErrorMessage ?>
                  <h3><font color="red"><?cs var:html_escape(ErrorMessage) ?></font></h3>
               <?cs /if ?>
               
               <?cs if:StatusMessage ?>
                  <h3><font color="green"><?cs var:html_escape(StatusMessage) ?></font></h3>
               <?cs /if ?>
          <p>
          </p>
                  <table id="groups" class="configuration">
                     <tr>
                        <th colspan="4">CHANNEL GROUPS</th>
                     </tr>
                     <?cs if:CountOfGroup == 0 ?>
                     <tr>
                        <td colspan="2" style="color: gray; text-align: center;">&lt;None&gt;</th>
                     </tr>
                     <?cs /if ?>
                     <?cs each: group = Groups ?>
                        <tr>
                           <td class="left_column">
			         <a href="/channel_grouping_edit.html?groupName=<?cs var:url_escape(group.Name) ?>"
				 onMouseOver="TOOLtooltipLink(generateTooltipText('<?cs var:html_escape(js_escape(newline_html(group.Desc))) ?>', <?cs var: group.ChannelCount ?>,<?cs var: ChannelCount ?>), null, this);"
                                 onMouseOut="TOOLtooltipClose();"
                                 onmouseup="TOOLtooltipClose();">
			            <?cs var:html_escape(group.Name) ?>
   			         </a>
			   </td>
                              <?cs if:CurrentUserCanAdmin ?>
                              <td>
			         <a class="button" href="javascript: remove_group('<?cs var: html_escape(js_escape(group.Name)) ?>')"><span>
                                    <img src="../<?cs var:skin("images/icon_remove.gif") ?>" /> &nbsp;Remove
                                 </span></a>
			      </td>
                              <?cs else ?>
			         <td>
                                 <div class="button_disable"
                                    onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to remove a group.', null, this);"
                                    onMouseOut="TOOLtooltipClose();"
                                    onmouseup="TOOLtooltipClose();" >
                                    <span>
                                       <img src="../<?cs var:skin("images/icon_remove_disable.gif") ?>" /> &nbsp;Remove
                                    </span>
                                 </div>
				 </td>
                              <?cs /if ?>
                        </tr>
                     <?cs /each ?>
                  </table>
                  
                           <table id="buttons"><tr><td>
                              <?cs if:CurrentUserCanAdmin ?>
                                 <a class="button" href="/channel_grouping_edit.html" onclick="this.blur();"><span>
                                    <img src="../<?cs var:skin("images/icon_add.gif") ?>" /> &nbsp;Add Group
                                 </span></a>
                              <?cs else ?>
                                 <div class="button_disable"
                                    onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to add a group.', null, this);"
                                    onMouseOut="TOOLtooltipClose();"
                                    onmouseup="TOOLtooltipClose();" >
                                    <span>
                                       <img src="../<?cs var:skin("images/icon_add_disable.gif") ?>" /> &nbsp;Add Group
                                    </span>
                                 </div>
                              <?cs /if ?>
                           </td></tr></table>

           <br />
                              
            </center>
         </td>
      </tr>
      
   </table>

</div>
      <div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
            <?cs if:CurrentUserCanAdmin ?>
               <p>
                  From this page, you can create and manage channel groups. These groups are useful for quickly setting up <a href="email_rules_view.html">email notification rules</a>.
               </p>
            <?cs else ?>
               <p>
                  From this page, you can create and manage channel groups.
               </p>
               <p>
                  You must have administrator permissions to edit channel groups.
               </p>
            <?cs /if ?>
            <h4 class="side_title">Related Settings</h4>
            <a href="/email_status.html">Email Notification</a>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
               <li>
               <a href="<?cs var:help_link('iguana4_channel_groups') ?>" target="_blank">Channel Groups</a>
               </li>
            </ul>
         </td>
      </tr>
   </table>
   </div>
</body>

</html>
</body>
</html>

