<?cs # vim: set syntax=html :?>

<?cs include:"doctype.cs" ?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Databases</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <style type="text/css">
      tr.table_break td
      {
         background-color: white;
         border-width: 0px;
      }
   </style>
</head>

<body class="tabright">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; Databases
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
            <center>
               
               <?cs if:ErrorMessage  ?>
                  <h3><font color="red"><?cs var:html_escape(ErrorMessage) ?></font></h3>
               <?cs /if ?>
               
               <?cs if:StatusMessage ?>
                  <h3><font color="green"><?cs var:html_escape(StatusMessage) ?></font></h3>
               <?cs /if ?>
               
               <table class="configuration">
                  <tr>
                     <th>Database API</th>
                     <th>Path to Shared Library</th>
                     <th>Version</th>
                  </tr>
                  <tr>
                     <td class="left_column">MySQL</td>
                     <td><table style="border-collapse:collapse"><tr>
                        <td>
                           <?cs alt:html_escape(MySql.LoadedDll.Path) ?> Not Loaded. <?cs /alt ?>
                        </td>
                        <?cs if:html_escape(UserCanAdmin) == 1?>
                           <td>
                              <a class="button" href="/mysql_settings.html"><span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit</span></a>
                           </td>
                        <?cs else ?>
                           <td>
                              <div class="button_disable" id="DisabledEditButton1" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to edit these settings.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Edit</span></div>
                           </td>
                        <?cs /if ?>
                     </tr></table></td>
                     <td>
                        <?cs var:html_escape(MySql.LoadedDll.Version) ?>
                     </td>
                  </tr>
                  <tr>
                     <td class="left_column">OCI Oracle</td>
                     <td><table style="border-collapse:collapse"><tr>
                        <td>
                           <?cs alt:html_escape(Oracle.LoadedDll.Path) ?> Not Loaded. <?cs /alt ?>
                        </td>
                        <?cs if:html_escape(UserCanAdmin) == 1?>
                           <td>
                           <a class="button" href="/oracle_settings.html"><span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit</span></a>
                           </td>
                        <?cs else ?>
                           <td>
                              <div class="button_disable" id="DisabledEditButton2" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to edit these settings.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Edit</span></div>
                           </td>
                        <?cs /if ?>
                     </tr></table></td>
                     <td>
                        <?cs var:html_escape(Oracle.LoadedDll.Version) ?>
                     </td>
                  </tr>
                  <tr>
                     <td class="left_column">ODBC</td>
                     <td>
                        <?cs alt:html_escape(Odbc.LoadedDll.Path) ?> Not Loaded. <?cs /alt ?>
                     </td>
                     <td><?cs var:html_escape(Odbc.LoadedDll.Version) ?></td>
                  </tr>
                  
	       </table>  
	         
		  <br />   
              
            </center>
         </td>
      </tr>
   </table>

</div>

<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
            <p>
               On this page, you can view the database client libraries in use by Iguana.
            </p>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
            	<li>
            	<a href="<?cs var:help_link('iguana4_config_database') ?>" target="_blank">Database Settings</a>
            	</li>
            </ul>
         </td>
      </tr>
   </table>
</div>
</body>

</html>
