<?cs include:"doctype.cs" ?>
<?cs include:"email_notification_macros.cs" ?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Email Notification</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>

   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("path_expand.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("class.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("validation.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/help_popup/help_popup.js") ?>"></script>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("/js/help_popup/help_popup.css") ?>" />
   
   <script type="text/javascript">
   
      function updateSender(){

         var Input = document.getElementById('sender_input_field');
         var Preview = document.getElementById('sender_preview');
	 var PreviewDiv = document.getElementById('sender_preview_div');
         updatePath('EmailSender', Input, Preview, PreviewDiv, true);
      }
   
      function updateHost(){

         var Input = document.getElementById('hostname_input_field');
         var Preview = document.getElementById('hostname_preview');
 	 var PreviewDiv = document.getElementById('hostname_preview_div');
         updatePath('HostName', Input, Preview, PreviewDiv, true);
      }


      function checkSubmit()
      {
         if ( document.getElementById('email_settings').OutgoingMailServerAddress.value == "" )
         {
            alert("Please enter a value for the mail server address.");
            document.getElementById('email_settings').OutgoingMailServerAddress.focus();
            return false;
         }
         else if ( document.getElementById('email_settings').SenderEmailAddress.value == "" )
         {
            alert("Please enter a value for the sender's email address.");
            document.getElementById('email_settings').SenderEmailAddress.focus();
            return false;
         }
         else if ( document.getElementById('email_settings').UseEmailAuthentication.checked &&
                   document.getElementById('email_settings').EmailUserName.value == "" )
         {
            alert("Please enter a value for the user name, or uncheck the authentication checkbox.");
            document.getElementById('email_settings').EmailUserName.focus();
            return false;
         }
         else if ( document.getElementById('email_settings').UseEmailAuthentication.checked &&
                   document.getElementById('email_settings').EmailPassword.value == "" )
         {
            alert("Please enter a value for the password, or uncheck the authentication checkbox.");
            document.getElementById('email_settings').EmailPassword.focus();
            return false;
         }
         else
         {
            return VALvalidateFields();
         }
      }
      
      var ServerIpAddress = '<?cs var:ServerIpAddress ?>';

      function populateDomainName()
      {
         var DomainName = document.domain;
         if ((DomainName == 'localhost' || DomainName == '127.0.0.1') && ServerIpAddress != '')
         {
            DomainName = ServerIpAddress;
         }
         document.getElementById('email_settings').EmailLinkDomainName.value = DomainName;
      }
      
      function onEmailSettingsLoad()
      {
         showOrHideEmailAuthenticationFields();
         updateSender();
         updateHost();
         setInterval("updateSender(); updateHost();", 500);
         HLPpopUpinitialize(null);
      }
      
      function showOrHideEmailAuthenticationFields()
      {
         var AuthenticationFields = document.getElementById("EmailAuthenticationFields").style;
         var AuthenticationCaption = document.getElementById("EmailAuthenticationCaption").style;
         if (document.getElementById("UseEmailAuthenticationCheckbox").checked)
         {
            AuthenticationFields.display = "block";
            AuthenticationCaption.display = "inline";
         }
         else
         {
            AuthenticationFields.display = "none";
            AuthenticationCaption.display = "none";
         }
      }
      
      var FormChanged = false;
      
      function onFormChanged()
      {
         FormChanged = true;
      }
      
      function onTabClick()
      {
         if (FormChanged)
         {
            return confirm('This page contains unsaved changes.  Do you wish to discard these changes?');
         }
         else
         {
            return true;
         }
      }
      
   </script>
</head>


<body class="tabright" onload="onEmailSettingsLoad();">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>


<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; <a href="/email_settings_view.html">Email Notification</a> &gt; Change
         </td>
      </tr>
      <tr>
         <td id="dashboard_body">
            <center>
            
               <div class="tabs_and_contents">
               
                  <?cs call:email_navigation_tabs("Settings", "return onTabClick();") ?>
                  <br />
   
                  <!-- Firefox supports the onchange event for forms, so this makes use of it -->
                  <form name="email_settings" id="email_settings" method="post" action="email_settings_validation.html" onchange="onFormChanged();" onsubmit="return checkSubmit();">
                     <table class="configuration">
                        <tr>
                           <th colspan="2">Email Notification Settings</th>
                        </tr>
                        
                        <tr>
                        <td class="left_column">Outgoing Mail Server</td>
                        <td><input size="40" type="text" name="OutgoingMailServerAddress" value="<?cs var:OutgoingMailServerAddress ?>"></td>
                        </tr>
                        
                        <tr id="MailServerPortRow">
                           <td class="left_column">Mail Server Port<br><span style="font-weight:normal;">(default 25)</span></td>
                           <td>
                              <input size="5" type="text" name="OutgoingMailServerPort" id="OutgoingMailServerPort" value="<?cs var:OutgoingMailServerPort ?>">
                              <span id="MailServerPortErrorMessageContainer" class="validation_error_message_container">
                              <script defer type="text/javascript">
                                 VALregisterIntegerValidationFunction('OutgoingMailServerPort', 'MailServerPortRow', 'MailServerPortErrorMessageContainer', null, null, 1, 65535);
                              </script>
                           </td>
                        </tr>
                        
                        <tr>
                        <td class="left_column" style="vertical-align: top;">
                           <span style="position: relative; top: 4px;">
                              Authentication
                           </span>
                        </td>
                        <td>
                           <input type="checkbox" class="no_style" name="UseEmailAuthentication" id="UseEmailAuthenticationCheckbox"
                              style="vertical-align: top;"
                              onclick="showOrHideEmailAuthenticationFields();" <?cs if:UseEmailAuthentication == "1" ?>checked="checked"<?cs /if ?> />
                           <span id="EmailAuthenticationCaption" style="position: relative; top: 2px; display:<?cs if:UseEmailAuthentication == "0" ?>none<?cs else ?>block<?cs /if ?>;">
                              Use the following details:
                           </span>
                           
                           <div id="EmailAuthenticationFields"
                              style="vertical-align: middle; display:<?cs if:UseEmailAuthentication == "0" ?>none<?cs else ?>block<?cs /if ?>;">
                           
                           <table style="vertical-align: middle;">
                                 <tr>
                                 <td>Username:</td>
                                 <td><input size="20" type="text" name="EmailUserName" value="<?cs var:EmailUserName ?>"></td>
                                 </tr>
                                 <tr>
                                 <td>Password:</td>
                                 <td><input size="20" type="password" name="EmailPassword" value="<?cs var:EmailPassword ?>"></td>
                                 </tr>
                           </table>
                           
                           </div>
                           
                        </td>
                        </tr>
                        
                        <tr>
                        <td class="left_column">Sender Email Address</td>
			<td>
                           <input id="sender_input_field" size="40" type="text" name="SenderEmailAddress" value="<?cs var:SenderEmailAddress ?>" onchange="updateSender();" onkeyup="updateSender()";>
                           <div id="sender_preview_div" style="display:none;">
                              <div id="sender_preview" class="path_preview" val="<?cs var:html_escape(environment_expand(SenderEmailAddress)) ?>"></div>
                           </div>
			   </td>
                        </tr>
                        <tr>
                        <td class="left_column">Iguana Host Name for Email Links</td>
                        <td>
                           <input id ="hostname_input_field" size="40" type="text" name="EmailLinkDomainName" value="<?cs var:EmailLinkDomainName ?>" onchange="updateHost();" onkeyup="updateHost();" />
                           <a id="HostName_Icon" class="helpIcon" tabindex="100" title="More Information" target="_blank" href="#" onclick="return false;"
                              rel="This host name is the base of the URL that is generated for an email notification message. The current host name is the recommended best choice.<br><br>If a port is included as part of the host name (as in myhost:80), this port is included in the URL. Otherwise, the Iguana web port is used.">
                              <img src="<?cs var:skin("/images/help_icon.gif") ?>" border="0" />
                           </a>
                           <div id="hostname_preview_div" style="display:none;">
                              <div id="hostname_preview" class="path_preview" val="<?cs var:html_escape(environment_expand(EmailLinkDomainName)) ?>"></div>
                           </div>
                           <br />
                           <font size="1">
                              <a href="javascript:populateDomainName();">Current host name (recommended)</a>
                           </font>
                        </td>
                        </tr>
                        
                     </table>
   
                     <p/><p/>
   
                     <?cs if:CurrentUserCanAdmin ?>
                        <table id="buttons"><tr>
                           <td>
                              <input id="ApplyChanges" type="submit" name="Action" class="hidden_submit" value="Apply Changes"/>
                              <a class="button" href="javascript:document.getElementById('ApplyChanges').click();"><span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Save Changes</span></a>
                           </td>
                           <td>
                              <a class="button" href="/email_settings_view.html"><span>Cancel</span></a>
                           </td>
                        </tr></table>
                     <?cs /if ?>
         
                  </form>
                  
               </div>
            
            </center>
            
         </td>
      </tr>
   </table>

</div>


<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
            <p>
            From this page, you can configure the email notification server settings for this Iguana server.
            </p>
            <?cs call:link_to_users_and_groups() ?>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
               <li>
               <a href="<?cs var:help_link('iguana4_configuring_email_server') ?>" target="_blank">Configuring the Email Server Settings</a>
               </li>
            </ul>
         </td>
      </tr>
   </table>
</div>

<div id="helpTooltipDiv" class="helpTooltip">
   <b id="helpTooltipTitle"></b>
   <em id="helpTooltipBody"></em>  
   <input type="hidden" name="helpTooltipId" id="helpTooltipId" value="0">
</div>

</body>

</html>
