<?cs include:"doctype.cs" ?>
<?cs include:"email_notification_macros.cs" ?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Email Notification</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
</head>

<body class="tabright">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; Email Notification
         </td>
      </tr>
      <tr>
         <td id="dashboard_body">
            <center>
            
               <?cs if:EmailNotSetup ?>
               <!-- EMAIL NOT SETUP -->
               
                  <?cs call:email_not_setup_page_contents() ?>
               
               
               <?cs elif:EmailDisabled ?>
               <!-- EMAIL DISABLED -->
               
                  <?cs call:email_disabled_page_contents("Settings") ?>
               
               
               <?cs else ?>
               <!-- EMAIL SETUP -->
                  
                  <div class="tabs_and_contents">
                  
                     <?cs call:email_navigation_tabs("Settings", "return true;") ?>
                     
                     <?cs if:ActionResult ?>
                     <p>
                        <font color="green"><b><?cs var:ActionResult ?></b></font>
                     </p>
                     <?cs /if ?>
                     
                     <?cs if:!EmailSettingsValidated && !SuppressValidationWarning ?>
                        <?cs call:email_settings_not_validated_paragraph() ?>
                     <?cs else ?>
                     <?cs /if ?>
  <p> 
                     <table class="configuration">
                        <tr>
                           <th colspan="2">Email Server Settings</th>
                        </tr>
                        <tr>
                        <td class="left_column">Outgoing Mail Server</td>
                        <td><?cs var:html_escape(OutgoingMailServerAddress) ?></td>
                        </tr>
                        <tr>
                        <td class="left_column">Mail Server Port</td>
                        <td><?cs var:OutgoingMailServerPort ?></td>
                        </tr>
                        <tr>
                           <td class="left_column">Use Authentication</td>
                           <td><?cs if:UseEmailAuthentication ?>Yes<?cs else ?>No<?cs /if ?></td>
                        </tr>
                        <?cs if:UseEmailAuthentication ?>
                        <tr>
                        <td class="left_column">Email Username</td>
                        <td><?cs var:html_escape(EmailUserName) ?></td>
                        </tr>
                        <tr>
                        <td class="left_column">Email Password</td>
                        <td>********</td>
                        </tr>
                        <?cs /if ?>
                        <tr>
                        <td class="left_column">Sender Email Address</td>
                        <td><?cs var:html_escape(SenderEmailAddress) ?>
		                  <?cs if:SenderEmailAddress != environment_expand(SenderEmailAddress) ?>
                           <?cs if:SenderEmailAddress != "" ?>                             
                             <div class="path_preview"> Preview: "<?cs var:html_escape(environment_expand(SenderEmailAddress)) ?>"</div>
                           <?cs /if ?>
                        <?cs /if ?>
			</td>
                        </tr>
                        <tr>
                        <td class="left_column">Iguana Host Name for Email Links</td>
                        <td>
                           <?cs if:EmailLinkDomainName == "" ?>
                              <span style="color: gray; text-align: center;">&lt;None&gt;</span>
                           <?cs else ?>
                              <?cs var:html_escape(EmailLinkDomainName) ?>
			                     <?cs if:EmailLinkDomainName != environment_expand(EmailLinkDomainName) ?>
                                 <?cs if:EmailLinkDomainName != "" ?>
                                   <div class="path_preview"> Preview: "<?cs var:html_escape(environment_expand(EmailLinkDomainName)) ?>"</div>
                                 <?cs /if ?>
                              <?cs /if ?>
                           <?cs /if ?>
                        </td>
                        </tr>
                     </table>
   
                     <p/><p/>
      
                     
                        <table>
                           <tr>
                              <td>
                              <?cs if:CurrentUserCanAdmin ?>
                                 <a class="button" href="/email_settings.html" onclick="this.blur();"><span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit</span></a>
                              <?cs else ?>
                                 <div class="button_disable" id="DisabledEditButton" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to edit these settings.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp;Edit</span></div>
                               <?cs /if ?>
                              </td>
                           </tr>
                        </table>                     
                        
                  
                  </div>
      
               <?cs /if ?>
      
            </center>
         </td>
      </tr>
   </table>

</div>

<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
            <?cs if:EmailDisabled ?>
               <p>
                  When email notification is enabled, this page displays the email notification server settings for Iguana.
               </p>
            <?cs else ?>
               <p>
                  Email notification rules use the settings defined here to send email messages.
               </p> 
               <?cs if:CurrentUserCanAdmin ?>
                  <?cs if:EmailSetup ?>
                     <p>Click <b>Edit</b> to update these settings.</p>
                  <?cs /if ?>
               <?cs else ?>
                  <p>You must have administrator permissions to update these settings.</p>
               <?cs /if ?>
            <?cs /if ?>
            <?cs call:link_to_users_and_groups() ?>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
               <li>
                  <a href="<?cs var:help_link('iguana4_config_email') ?>" target="_blank">Email Notification</a>
               </li>
            </ul>
         </td>
      </tr>
   </table>
</div>


</body>

</html>
