<?cs include:"doctype.cs" ?>
<?cs include:"email_notification_macros.cs" ?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Email Notification</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
</head>
<script type="text/javascript"> <!--

--></script>
<body class="tabright">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; Email Notification
         </td>
      </tr>
      <tr>
         <td id="dashboard_body">
            <center>
            
               <?cs if:EmailNotSetup ?>
               <!-- EMAIL NOT SETUP -->
                  <?cs call:email_not_setup_page_contents() ?>
                  
               
               <?cs else ?>
               <!-- EMAIL SETUP -->
                  
                  <div class="tabs_and_contents">
                  
                     <?cs call:email_navigation_tabs("Status", "return true;") ?>
                     
                     <?cs if:ActionResult ?>
                     <p>
                        <font color="green"><b><?cs var:ActionResult ?></b></font>
                     </p>
                     <?cs elif:EmailSettingsValidationFailure ?>
                        <p>
                           <b><font color="red">Validation was not successful</font></b>
                        </p>
                        <p>
                           <?cs var:EmailSettingsValidationFailure ?>
                           <a href="/send_validation_email.html">Send another validation email message</a>.
                        </p>
                     <?cs /if ?>
                     
                     <?cs if:!EmailSettingsValidated && !SuppressValidationWarning && !EmailSettingsValidationFailure && !EmailDisabled ?>
                        <?cs call:email_settings_not_validated_paragraph() ?>
                     <?cs else ?>
                        <p />
                     <?cs /if ?>
   
                     <table class="configuration">
                        <tr>
                           <th colspan="2">Email Notification Status</th>
                        </tr>
                        <tr>
                           <td class="left_column">Status</td>
                           <td>
                              <?cs if:EmailDisabled ?>
                                 <img style="position: relative; top: 2px;" src="<?cs var:skin("../images/button-dotgrayv4.gif") ?>" />
                                 Disabled
                              <?cs elif:EmailSetup && !EmailSettingsValidated ?>
                                 <img style="position: relative; top: 2px;" src="<?cs var:skin("../images/button-dotyellowv4.gif") ?>" />
                                 Enabled, not Validated
                              <?cs else ?>
                                 <img style="position: relative; top: 2px;" src="<?cs var:skin("../images/button-dotgreenv4.gif") ?>" />
                                 Enabled and Validated
                              <?cs /if ?>
                           </td>
                        </tr>
                        
                        <tr>
                           <td class="left_column">Last Email Server Settings Change</td>
                           <td>
                              <?cs if:EmailNotSetup || !LastEmailSettingsChange ?>
                                 - -
                              <?cs else ?>
                                 <?cs var:LastEmailSettingsChange ?>
                              <?cs /if ?>
                           </td>
                        </tr>
                        <tr>
                           <td class="left_column">Last Email Server Settings Validation</td>
                           <td>
                              <?cs if:!LastEmailSettingsValidation ?>
                                 - -
                              <?cs else ?>
                                 <?cs if:EmailSettingsValidated || SuppressValidationWarning || EmailDisabled?>
                                    <?cs var:LastEmailSettingsValidation ?>
                                 <?cs else ?>
                                    <span style="color: red; font-weight: bold;"><?cs var:LastEmailSettingsValidation ?></span>
                                 <?cs /if ?>
                              <?cs /if ?>
                           </td>
                        </tr>
                        
                     </table>
                     
                     
                        <br />
                        <table id="buttons"><tr>
                           <td>
                              <?cs if:EmailDisabled ?>
                                 <?cs if:CurrentUserCanAdmin ?>
                                    <a class="button" href="/email_status.html?Action=enable_email_notification">
                                       <span>Enable Email Notification</span>
                                    </a>
                                 <?cs else ?>
                                    <div class="button_disable" id="DisabledEditButton1" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to enable email notification.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span>Enable Email Notification</span></div>
                                 <?cs /if ?>
                              <?cs else ?>
                                 <?cs if:CurrentUserCanAdmin ?>
                                    <a class="button" href="/email_status.html?Action=disable_email_notification">
                                       <span>Disable Email Notification</span>
                                    </a>
                                 <?cs else ?>
                                    <div class="button_disable" id="DisabledEditButton2" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to disable email notification.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span>Disable Email Notification</span></div>
                                 <?cs /if ?>
                              <?cs /if ?>
                           </td>
                           <?cs if:!EmailDisabled ?>
                           <td>
                              <?cs if:CurrentUserCanAdmin ?>
                                 <a class="button" href="/email_settings_validation.html">
                                    <span>Validate Email Server Settings</span>
                                 </a>
                              <?cs else ?>
                                 <div class="button_disable" id="DisabledEditButton3" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to validate email server settings.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span>Validate Email Server Settings</span></div>
                              <?cs /if ?>
                           </td>
                           <?cs /if ?>
                     <?cs /if ?>
                  </table>
                  </div>
      
               
      
            </center>
         </td>
      </tr>
   </table>

</div>

<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
            <?cs if:EmailDisabled ?>
               <p>
                  When email notification is enabled, this page displays the email notification status for Iguana.
               </p>
            <?cs else ?>
               <p>
                  This page displays the email notification status for Iguana.
               </p>
            <?cs /if ?>
            <?cs call:link_to_users_and_groups() ?>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
               <li>
                  <a href="<?cs var:help_link('iguana4_config_email') ?>" target="_blank">Email Notification</a>
               </li>
            </ul>
         </td>
      </tr>
   </table>
</div>


</body>

</html>
