<?cs include:"doctype.cs" ?>

<?cs # vim: set syntax=html :?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; HTTP(S) Channel Settings</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/cookie/cookiev4.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
   <?cs include:"file-browser.cs" ?>
   <?cs include:"browse_macro.cs" ?>

   <style type="text/css">
      td.fixed_width {
         width: 200px;
      }
      tr.https_channel_server_row{
         display: <?cs if:UseHttpsChannelServer ?>''<?cs else ?>none<?cs /if ?>;
      }
      tr.https_channel_verify_peer_row{
         display: <?cs if:VerifyPeer && UseHttpsChannelServer ?>''<?cs else ?>none<?cs /if ?>;
      }
   </style>
   <script type="text/javascript"> 

function hideOrShowSslRows()
{
<?cs if:ReadOnly ?>
   var ShowOrHide = <?cs if:UseHttpsChannelServer ?>true<?cs else ?>false<?cs /if ?>;
   var VerifyPeer = <?cs if:VerifyPeer ?>true<?cs else ?>false<?cs /if ?>;
   var UseHttps = <?cs if:UseHttps ?>true<?cs else ?>false<?cs /if ?>;
   var ServeFiles = <?cs if:ServeFiles ?>true<?cs else ?>false<?cs /if ?>;
<?cs else ?>
   var ShowOrHide = $('#radUseHttpsChannelServer').attr('checked');
   var VerifyPeer = $('#cbVerifyPeer').attr('checked');
   var UseHttps =  $('#cbUseHttps').attr('checked');
   var ServeFiles = $('#ServeFilesCb').attr('checked');
<?cs /if ?>

   var jAllChannelRows = $('.https_channel_server_row', $('#https_settings_table') );
   jAllChannelRows.each( function(){ 
                        (ShowOrHide ? $(this).show() : $(this).hide()  );  
                     }  
                   );
   if (ShowOrHide && !UseHttps) {
      $('.https_mode',$('#https_settings_table')).hide();
   }
   var ShowOrHideVerifyPeer = ShowOrHide && UseHttps && VerifyPeer;
   var jVerifyPeerRows = $('.https_channel_verify_peer_row', $('#https_settings_table') );
   jVerifyPeerRows.each( function(){ 
                        (ShowOrHideVerifyPeer ? $(this).show() : $(this).hide()  );  
                     }  
                   );
   if (ShowOrHide && !ServeFiles){
      $('.serve_files',$('#https_settings_table')).hide();
   }
}

function handleOnLoad()
{
   hideOrShowSslRows();
}
   </script>

</head>

<?cs def:showError(Value, EscapeHtml) ?>

<?cs if:Value ?>
<br><span style="color:red;" id="<?cs name:Value ?>"><?cs if:EscapeHtml ?><?cs var:html_escape(Value) ?><?cs else ?><?cs var:Value ?><?cs /if ?></span>
<?cs else ?>
<span id="<?cs name:Value ?>"></span>
<?cs /if ?>
<?cs /def ?>

<body class="tabright" onload="handleOnLoad();">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; HTTP(S) Channel Settings
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
            <center>
               <?cs if:ErrorMessage ?>
                  <h3><font color="red" id="test.ErrorMessage"><?cs var:html_escape(ErrorMessage) ?></font></h3>
	       <?cs else ?>
	          <span id="test.ErrorMessage"></span>
               <?cs /if ?>
               
               <?cs if:StatusMessage  ?>
                  <h3><font color="green" id="test.StatusMessage"><?cs var:html_escape(StatusMessage) ?></font></h3>
               <?cs else ?>
	       	  <span id="test.StatusMessage"></span>
	       <?cs /if ?>

         <form name="https_channel_settings_form" id="https_channel_settings_form" method="post" action="https_channel_settings.html" >
         <input type="submit" class="hidden_submit" name="Mode" value="apply_changes" />
         <table class="configuration" border="1" style="width:700px" id="https_settings_table">
         <tr class="header">
            <th colspan="2">HTTP(S) Channel Settings</th>
         </tr>
         <tr>
           <td class="left_column fixed_width">From HTTP Channels Server</td>
           <td>
           <?cs if:ReadOnly ?>
             <?cs if:UseHttpsChannelServer ?>
                Use dedicated port
             <?cs else ?>
                Use web server port
             <?cs /if ?>
           <?cs else ?>
             <input type="radio" onclick="hideOrShowSslRows();" id="radUseHttpsChannelServer" name="UseHttpsChannelServer" value="use_https_server" <?cs if:UseHttpsChannelServer ?>checked<?cs /if ?>>Use dedicated port
             <br><input type="radio" onclick="hideOrShowSslRows();" id="radUseWebServer" name="UseHttpsChannelServer" value="use_web_server" <?cs if:!UseHttpsChannelServer ?>checked<?cs /if ?>>Use web server port
           <?cs /if ?>
              <?cs call:showError(Ssl_ErrorString, 1) ?>
	   </td>
         </tr> 
         <?cs if:ReadOnly ?>
         <tr class="https_channel_server_row" >
           <td class="left_column fixed_width">Server Running</td>
           <td><?cs if:ServerRunning ?>Yes<?cs else ?>No<?cs /if ?></td>
         </tr>
         <?cs /if ?>
         <tr class="https_channel_server_row" >
           <td class="left_column fixed_width">Port</td>
           <td>
             <?cs if:ReadOnly ?>
                <?cs var:html_escape(WebPort) ?>
             <?cs else ?>
                <input type="text" name="WebPort" value="<?cs var:html_escape(WebPort) ?>">
             <?cs /if ?>
             <?cs call:showError(WebPort_ErrorString, 0) ?>
           </td>
         </tr>
         <tr class="https_channel_server_row">
           <td class="left_column fixed_width">Use HTTPS</td>
           <td>
             <?cs if:ReadOnly ?>
                <?cs if:UseHttps ?>Yes<?cs else ?>No<?cs /if ?>
             <?cs else ?>
                <input type="checkbox" onClick="hideOrShowSslRows();" id="cbUseHttps" name="UseHttps" <?cs if:UseHttps ?>checked<?cs /if ?> >
             <?cs /if ?>
           </td>
         </tr>
         <tr class="https_channel_server_row https_mode">
            <td class="left_column fixed_width">Certificate File</td>
            <td>
              <?cs if:ReadOnly ?>
                  <?cs call:browse_readonly(CertificateFile) ?>
                  <?cs if:!Ssl_ErrorString ?>
                     <a href="/view_ssl_cert.html?Mode=https_channel_server">view certificate</a>
                  <?cs /if ?>
              <?cs else ?>
                  <?cs call:browse_input('CertificateFile', CertificateFile) ?>
              <?cs /if ?>
              <br><?cs call:showError(CertificateFile_ErrorString, 1) ?>
            </td>
         </tr>
         <tr class="https_channel_server_row https_mode">
           <td class="left_column fixed_width">Private Key File</td>
           <td>
              <?cs if:ReadOnly ?>
                 <?cs call:browse_readonly(PrivateKeyFile) ?>
              <?cs else ?>
                  <?cs call:browse_input('PrivateKeyFile', PrivateKeyFile) ?>                 
              <?cs /if ?>
          <br><?cs call:showError(PrivateKeyFile_ErrorString, 1) ?>
           </td>
         </tr>
         <tr class="https_channel_server_row https_mode">
           <td class="left_column fixed_width">Verify Peer</td>
           <td>
             <?cs if:ReadOnly ?>
                <?cs if:VerifyPeer ?>Yes<?cs else ?>No<?cs /if ?>
             <?cs else ?>
                <input type="checkbox" onClick="hideOrShowSslRows();" id="cbVerifyPeer" name="VerifyPeer" <?cs if:VerifyPeer ?>checked<?cs /if ?> >
             <?cs /if ?>
           </td>
         </tr>
         <tr class="https_channel_verify_peer_row https_mode">
           <td class="left_column fixed_width">Certificate Authority File</td>
           <td>
             <?cs if:ReadOnly ?>
               <?cs call:browse_readonly(CertificateAuthorityFile) ?>
               <?cs if:!CertificateAuthorityFile_ErrorString ?>
                     <a href="/view_ssl_cert.html?Mode=https_channel_server&CertificateType=Authority">view certificate</a>
               <?cs /if ?>
             <?cs else ?>
                  <?cs call:browse_input('CertificateAuthorityFile', CertificateAuthorityFile) ?>                
             <?cs /if ?>
             <br><?cs call:showError(CertificateAuthorityFile_ErrorString, 1) ?>
           </td>
         </tr>
         <tr class="https_channel_server_row">
           <td class="left_column fixed_width">Serve Files From a Directory</td>
           <td>
             <?cs if:ReadOnly ?>
                <?cs if:ServeFiles ?>Yes<?cs else ?>No<?cs /if ?>
             <?cs else ?>
                <input name="ServeFiles" onchange="hideOrShowSslRows()" id="ServeFilesCb" type="checkbox"   
                   <?cs if:ServeFiles ?>checked<?cs /if ?>
                   />
             <?cs /if ?>
           </td>
         </tr>
         <tr class="https_channel_server_row serve_files"> 
           <td class="left_column fixed_width">Directory for Files</td>
           <td>
             <?cs if:ReadOnly ?>
                <?cs call:browse_readonly(ServeFilesDirectory) ?>
             <?cs else ?>
                <?cs call:browse_input_folder('ServeFilesDirectory', ServeFilesDirectory) ?><br>                
             <?cs /if ?>
             <?cs call:showError(ServeFilesDirectory_ErrorString, 1) ?>             
           </td>
         </tr>
         </table>
         </form>

	  <p>
      <table id="buttons"><tr><td>
      <!-- edit link -->
      <?cs if:CanEdit ?>
         <?cs if:ReadOnly ?>
            <a class="button" href="/https_channel_settings.html?Mode=edit" onclick="this.blur();"><span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Edit</span></a>
         <?cs else ?>
            <a class="button" href="javascript:document.https_channel_settings_form.Mode.click();" onclick="this.blur();"><span><img src="../<?cs var:skin("images/icon_edit.gif") ?>" /> &nbsp;Apply Changes</span></a>
         <?cs /if ?>
      <?cs else ?>
         <div class="button_disable" id="DisabledEditButton" onMouseOver="TOOLtooltipLink('You do not have the necessary permissions to edit these settings.', null, this);" onMouseOut="TOOLtooltipClose();" onmouseup="TOOLtooltipClose();" ><span><img src="../<?cs var:skin("images/icon_edit_disable.gif") ?>"/> &nbsp; <?cs if:ReadOnly ?>Edit<?cs else ?>Apply Changes<?cs /if ?></span></div>
      <?cs /if ?>

      </td><td>
      <!-- IE hack to stop button from splitting up -->
      <!-- /restart button -->
      </td></tr></table>   
</p>

      <!-- end display area -->
            </center>
         </td>
      </tr>

   </table>

</div>
<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
	     <p>
	 On this page, you can view the <br>HTTP(S) channel server configuration for Iguana.
	 </p> 
   <?cs if:CanEdit ?>
	<p>Click <b>Edit</b> to change the settings on this page.</p>
   <?cs else ?>
      <p>You must be logged in as an administrator to edit the settings on this page.</p>
   <?cs /if ?>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
            	<li>
            	<a href="<?cs var:help_link('iguana4_https_channel_settings') ?>" target="_blank">HTTP(S) Channel Settings</a>
                </li>
                <li>
                <a href="http://wiki.interfaceware.com/745.html" target="_blank">Serving Files from the Web Service (From HTTP Channel Server) Port</a>
            	</li>
            </ul>
         </td>
      </tr>
   </table>
</div>
</body>

</html>

