<?cs include:"doctype.cs" ?>
<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Log Settings &gt; Purge Now Result</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("tooltip.js") ?>"></script>
   <script type="text/javascript">
      var LogPurgeProgress;

      function showTitle()
      {
         if (LogPurgeProgress)
         {
            document.getElementById('purge_logs_spinner').style.display = (LogPurgeProgress.LogPurgeInProgress ? '' : 'none' );
         }
      }

      function setOkayButton()
      {
         ButtonLbl = 'Close';
         OkEnabledHtml = '<a class="button" style="text-align: center;" href="log_settings_view.html"><span style="text-align: center;">'+ButtonLbl+'</span></a>';
         OkDisabledHtml = '<div class="button_disable" style="float:right"\
                           onMouseOver="TOOLtooltipLink(\'Log purge is currently in progress.\', null, this);"\
                           onMouseOut="TOOLtooltipClose();"\
                           onmouseup="TOOLtooltipClose();" >\
                           <span>'+ButtonLbl+'</span></div>';
         NewHtml = ( !LogPurgeProgress || LogPurgeProgress.LogPurgeInProgress ? OkDisabledHtml : OkEnabledHtml);
         if (NewHtml == OkEnabledHtml)
         {
            TOOLtooltipClose();
         }
         document.getElementById('btnOkay').innerHTML = NewHtml;
      }

     function onResize()
     {
           var textDiv = document.getElementById('textarea_initial_message');
           var offsetTop = WINwindowOffsetTop(textDiv);
           
           //  Initial 'textarea_initial_message' has no offset, thus we use offset from div_initial_message_reference
           if (offsetTop == 0)
           { 
               offsetTop = WINwindowOffsetTop(document.getElementById('div_initial_message_reference')) + 15;   
           }
          
           var NewHeight = (WINgetWindowHeight() - offsetTop) - 95;
           if (NewHeight < 95)
           {
               NewHeight = 95;
           }
           textDiv.style.height = NewHeight + 'px';
           textDiv.style.overflow="auto";
     }
      function onLoad()
      {
         setOkayButton();
         setTimeout("checkLogPurge()",1000);
         window.onresize = onResize;
         onResize();
      }

      function showMessage()
      {
         if (LogPurgeProgress && !LogPurgeProgress.LogPurgeInProgress)
         {
            if (LogPurgeProgress.ErrorExists)
            {
               WarningCell = document.getElementById('warning_cell');
               WarningCell.innerHTML = LogPurgeProgress.WarningMessage;
               WarningCell.style.display = '';
               WarningCell.style.color = '#FF0000';
               WarningCell.style.fontWeight = 'bold';
            }
            InitialMessageArea = document.getElementById('textarea_initial_message');
            InitialMessageArea.innerHTML = '<pre style="white-space:pre-wrap;">' + LogPurgeProgress.InitialMessage + '</pre>';            
			
            InitialMessageArea.style.display = '';
         }
      }

      function checkLogPurge()
      {
         AJAXpost('/log_purge_progress', 'AutomaticRequest=1',
                function(Data, ContentType){
                   LogPurgeProgress = eval("(" + Data + ")");
                   if( ContentType.match('text/javascript') && LogPurgeProgress )
                   {
                      showTitle();
                      setOkayButton();
                      showMessage();
                      if (LogPurgeProgress.LogPurgeInProgress)
                      {
                         setTimeout("checkLogPurge()",1000);                         
                      }
                   }
                   else
                   {
                      alert(Data.replace(/^ERROR\s*/, ''));
                   }
                },
                function(Error){
                   document.getElementById('ajax_error_label').innerHTML = Error.Description;
                }
         );         
      }
   </script>
</head>

<body class="tabright" onLoad="onLoad()">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; <a href="/log_settings_view.html">Log Settings</a> &gt; Purge Logs Results
         </td>
      </tr>
      
      <!-- Log settings table -->
      <tr>
         <td>
            <center>
               <font color="red"><div id="ajax_error_label"></div></font>
               <h2>Purge Logs</h2>
               <img align="center" id="purge_logs_spinner" src="images/spinner.gif">
               <table width="100%">
                  <tr>
                     <td id="warning_cell" style="text-align:left""></td>                   
                  </tr>                  
                  <tr>
                     <td align="center">
                        <div id="div_initial_message_reference"></div>
                        <div id="textarea_initial_message" style="font-family:monospace; display:none;text-align:left; width:100%; height:75px; background:#EDF0F4;padding:5px;"></div>
                     </td>
                  </tr>                
               </table>
                  <table>
                     <tr>
                        <td><div id="btnOkay"><!--filled by js--></div></a>
                        </td>
                     </tr>
                  </table>
                  <br>       
       
            </center>
         </td>
      </tr>
   </table>

</div>
<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Overview</h4>
         <p>
     On this page, you will see the result of the log purge request.
     </p> 
    <p>Click <b>Close</b> to return to the Log Purge Settings page.</p>
         </td>
      </tr>
      <tr>
         <td id="side_body">
            <h4 class="side_title">Log Usage Statistics</h4>
        <p>
            For detailed information of current log usage and trends, see
            <?cs # DO_NOT_RELEASE: Make this an external link. (MANUAL_TODO) ?>
            <a href="log_usage_statistics">Log Usage Statistics</a>.</p>
         </td>
      </tr>

      <tr>
         <td id="side_body">
            <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
                <li>
                <a href="<?cs var:help_link('iguana4_config_logging') ?>" target="_blank">Logging</a>
                </li>
            </ul>
         </td>
      </tr>
      
   </table>
</div>
</body>

</html>

