<?cs # mapper - the component.
       isInitialized - is the mapper initialized?
       mapperPrefix - the prefix to use for form input names.
       componentType - the component type (eg, 'Destination').
       componentName - the component name (eg, 'To Translator').
       rowClassName - the class name to give to all rows. ?>
<?cs def:renderMapperForm(mapper, isInitialized, mapperPrefix, componentType, componentName, rowClassName, firstRow, canEdit) ?>

   <script defer type="text/javascript"> <!--

   $(document).ready(function() {
    DMPRon<?cs var:mapperPrefix ?>MilestoneRadioChange();
   });

   function DMPRon<?cs var:mapperPrefix ?>MilestoneRadioChange(){
    if ($('#<?cs var:mapperPrefix ?>UseMostRecent').attr('checked')){
     $('#<?cs var:mapperPrefix ?>Milestone').attr('disabled', 'disabled');
    } else {
     $('#<?cs var:mapperPrefix ?>Milestone').removeAttr('disabled');
    }
   }

   --> </script>

   <?cs if:!isInitialized ?>
   <tr class="<?cs var:rowClassName ?> selected">
      <td class="left_column<?cs if:firstRow ?> first_row<?cs /if ?>"></td>
      <td class="inner_left<?cs if:firstRow ?> first_row<?cs /if ?>" colspan="3">
         <span class="configurationFillerText">Save the channel to begin editing the script.</span>
      </td>
   </tr>
   <input type="hidden" name="<?cs var:mapperPrefix ?>UseMostRecent" value="<?cs if:mapper.UseMostRecentMilestone ?>true<?cs else ?>false<?cs /if ?>" />
   <input type="hidden" name="<?cs var:mapperPrefix ?>Milestone"     value="<?cs var:html_escape(mapper.Milestone) ?>" />
   <?cs else ?>
   
   <tr class="<?cs var:rowClassName ?> selected">
      <td class="left_column<?cs if:firstRow ?> first_row<?cs /if ?>">Milestone</td>
      <td class="inner_left<?cs if:firstRow ?> first_row<?cs /if ?>" colspan="3">
         <?cs if:Channel.ReadOnlyMode ?>
            <span id="MsDisp_<?cs var:mapper.Guid ?>">
               <?cs if:IsRunning ?>
                  <?cs var:html_escape(mapper.CurrentRunningMilestone) ?>
               <?cs elif:mapper.UseMostRecentMilestone ?>
                  <?cs var:html_escape(mapper.MostRecentMilestone) ?>
               <?cs else ?>
                  <?cs if:"No milestone defined." != html_escape(mapper.Milestone) ?>
                     <?cs var:html_escape(mapper.Milestone) ?>
                  <?cs else ?>
                     No milestone is selected.
                  <?cs /if ?> 
               <?cs /if ?>
            </span>
            <?cs if:mapper.UseMostRecentMilestone ?>
               <br /><br />Configured to use the most recent milestone present on channel start.  
            <?cs else ?>
               <br /><br />Configured to use the selected milestone on channel start.
            <?cs /if ?>          
            <?cs if:mapper.Error.Milestone ?>
               <?cs if:mapper.Error.Milestone == "No milestone defined." ?>

	       
                  <br><br><div class="configuration_error">No milestone is saved.  The channel cannot be run.
		 <a class="helpIcon" tabindex="100" rel="To resolve this problem you will need to edit the script and save a milestone.  <a href='<?cs var:help_link('iguana_milestones') ?>' target='_blank'>More information</a> can be found in the online manual." title="No Milestone Saved" href="#"><img src="/images/help_icon.gif?ver_hash=F299927B" border="0"></a>
		  </div>
               <?cs else ?>
                  <br><br><div class="configuration_error">No milestone is selected.  The channel cannot be run. 
		  <a class="helpIcon" tabindex="100" rel="To resolve this problem you need to select a valid milestone.  <a href='<?cs var:help_link('iguana_milestones') ?>' target='_blank'>More information</a> can be found in the online manual." title="Milestone Problem" href="#"><img src="/images/help_icon.gif?ver_hash=F299927B" border="0"></a>
		  </div>
               <?cs /if ?>  
            <?cs else ?>    
               <?cs if:mapper.UseMostRecentMilestone ?>        
                  <?cs if:mapper.Warning.Milestone ?> 
                     <br><br>
                     <img src="/<?cs var:skin("images/icon_warning.gif") ?>" class="icon_warning"> The translator project has uncommitted changes. <a class="helpIcon" tabindex="100" rel="There are changes to the script which have not been committed into a milestone yet.  <a href='<?cs var:help_link('iguana_milestones') ?>' target='_blank'>More information</a> can be found in the online manual." title="Uncommited Changes" href="#"><img src="/images/help_icon.gif?ver_hash=F299927B" border="0"></a> 
		  <?cs /if ?>
               <?cs /if ?>
            <?cs /if ?> 
         <?cs else ?>
            <input type="radio" name="<?cs var:mapperPrefix ?>UseMostRecent" value="true"  onchange="javascript:DMPRon<?cs var:mapperPrefix ?>MilestoneRadioChange();" <?cs if:mapper.UseMostRecentMilestone  ?>checked="checked"<?cs /if ?> id="<?cs var:mapperPrefix ?>UseMostRecent" /> Use most recent<br />
            <input type="radio" name="<?cs var:mapperPrefix ?>UseMostRecent" value="false" onchange="javascript:DMPRon<?cs var:mapperPrefix ?>MilestoneRadioChange();" <?cs if:!mapper.UseMostRecentMilestone ?>checked="checked"<?cs /if ?> />
            <select name="<?cs var:mapperPrefix ?>Milestone" id="<?cs var:mapperPrefix ?>Milestone">
            <?cs each:ms = mapper.AllMilestones ?>
               <option value="<?cs var:html_escape(ms) ?>" <?cs if:ms == mapper.Milestone ?>selected="selected"<?cs /if ?>><?cs var:html_escape(ms) ?></option>
            <?cs /each ?>
            </select>
         <?cs /if ?>
      </td>
   </tr>

   <tr class="<?cs var:rowClassName ?> selected">
      <td class="left_column">Script</td>
      <td class="inner_left" colspan="3">
         <?cs if:CurrentUserCanEditScripts ?>
           <?cs if:canEdit ?>			   
              <a class='edit_permission_required' href="/mapper/?Page=OpenEditor&MapperGuid=<?cs var:mapper.Guid ?>">Edit Script...</a>
           <?cs else ?>
              <div class="configuration_error">Before you edit the script you will need to correct this error.</div>
           <?cs /if ?>
         <?cs else  ?>
	   You do not have the necessary permissions to edit the script.
         <?cs /if ?>
      </td>
   </tr>
   
   <?cs /if ?>
   
<?cs /def ?>
