<?cs include:"doctype.cs" ?>
<html>  <?cs # vim: set syntax=html :?>
<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Repository</title>
   <?cs include:"browser_compatibility.cs" ?>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
   <?cs include:"styles.cs" ?> 

<script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>" ></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>   
<script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("/js/cookie/cookiev4.js") ?>"></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("path_expand.js") ?>"></script>     
<?cs include:"mini-login.cs" ?>
<script defer type="text/javascript"> <!--

// Triggers a form submission to the server.  
function onSave()
{
   var Form = document.getElementById("repository_settings_form");
   
   var ConnectionString = document.getElementById("connection_string").value;
   
   if("" != ConnectionString)
   {
      Form.submit();                                
   }
   else
   {
      alert("Your inputted settings are not valid.  Please correct your settings.");
   }
} 

// AJAX function that gets the protocols associated with the repository type.
function retrieveSupportedProtocols()
{
   var Type = encodeURIComponent(document.getElementById("type").value);
                        
   var AJAXCommandName;
   var AJAXVariableType;
   
   AJAXCommandName = "retrieve_repository_protocols";
   AJAXVariableType = "Type=";
            
   AJAXpost(AJAXCommandName, AJAXVariableType + Type,
      function(data)
      {         
         try
         {
            var Response = eval(data);
 
            if(!Response) // Response.result represent an AJAX error.
            {
               alert("Protocols could not be retrieved because of an OS error.");
            }
            else
            {
               var ProtocolList = document.getElementById("protocol");
               ProtocolList.options.length = 0;
   
               ProtocolList.options[0] = new Option("Select Protocol", "");
                                 
               // Now update all the variables affected by the change above.
               var ProtocolCount = Response.Count;
                  
               for(var ProtocolCountIndex = 0; ProtocolCountIndex < ProtocolCount; ++ProtocolCountIndex)
               {
                  var ProtocolLongName = eval("Response.LongName" + ProtocolCountIndex);
                  var ProtocolShortName = eval("Response.ShortName" + ProtocolCountIndex);    
                   
                  ProtocolList.options[ProtocolList.options.length] = new Option(ProtocolLongName + " (" + ProtocolShortName +")", ProtocolShortName);
               }                   
            }
         }
         catch(err)
         {         
            alert("Protocols could not be retrieved because of an unknown error.");             
         }
      },
      
      function(data) 
      {
         MiniLogin.show("Iguana is not Responding", function() { retrieveSupportedProtocols() });
      }
   );
}

// AJAX function that validates the repository settings.
function validateSettings()
{
   var Type = encodeURIComponent(document.getElementById("type").value);
   var ProtocolShortName = encodeURIComponent(document.getElementById("protocol").value);
   var Server = encodeURIComponent(document.getElementById("server").value);      
   var Port = encodeURIComponent(document.getElementById("port").value);
   var RepositoryRoot = encodeURIComponent(document.getElementById("repository_root").value);

   var UserName = "";
   if(document.getElementById("authentication_enabled").checked)
   {
      UserName = encodeURIComponent(document.getElementById("user_name").value);
   }
      
   var Password = "";
   if(document.getElementById("authentication_enabled").checked && document.getElementById("password_persisted").checked)
   {
      Password = encodeURIComponent(document.getElementById("password").value);
   }

   var AJAXCommandName = "validate_repository_settings";
   var AJAXVariableType = "Type=";
   var AJAXProtocolVariable = "Protocol=" + ProtocolShortName;
   var AJAXUserNameVariable = "UserName=" + UserName;
   var AJAXServerVariable = "Server=" + Server;
   var AJAXPortVariable = "Port=" + Port;
   var AJAXRepositoryRootVariable = "RepositoryRoot=" + RepositoryRoot;
   var AJAXPasswordVariable = "Password=" + Password;

   AJAXpost(AJAXCommandName, AJAXVariableType + Type,
      function(data)
      {
         setTimeout("checkForSettingsTestResult()", 500);             
      },
   
      function(data) {}
   );   
}

// AJAX function that checks for commit errors for the last commit operations.
function checkForSettingsTestResult()
{  
   var AJAXCommandName = "check_repository_validation";
                 	 
   AJAXpost(AJAXCommandName, "", 
      function(data)
      { 
         var Response = eval(data);
  
         var Result = Response.OperationOutput;      
         var IsDetermined = Response.IsDetermined;
            
         if(IsDetermined)
         { 
            if("true" == Result)
            {
               // TODO: show result div withmessage indicating valid settings.
            }
            else
            {
               // TODO: show result div withmessage indicating invalid settings.
            } 
         }
         else
         {
            setTimeout("checkForSettingsTestResult()", 500); 
         }
      },
      
      function(data) {}
   );
}

// Updates the root preview.
function updateConnectionStringPreview()
{
   <?cs if:IsReadOnly ?>
   var Type = "<?cs var:Type ?>";
   <?cs else ?>
   var Type = encodeURIComponent(document.getElementById("type").value);
   <?cs /if ?> 

   if("cvs" == Type)
   {
      document.getElementById("connection_string_row").style.display = "";
      document.getElementById("connection_string_label").innerHTML = "CVSROOT";

      <?cs if:IsReadOnly ?>
      var ProtocolLongName = "<?cs var:ProtocolLongName ?>";
      var ProtocolShortName = "<?cs var:ProtocolShortName ?>";
      var UserName = "<?cs var:UserName ?>";
      var Server = "<?cs var:Server ?>";      
      var Port = "<?cs var:Port ?>";
      var RepositoryRoot = "<?cs var:RepositoryRoot ?>";
      var Password = "";
      <?cs else ?>
      var ProtocolShortName = encodeURIComponent(document.getElementById("protocol").value);
      var Server = encodeURIComponent(document.getElementById("server").value);      
      var Port = encodeURIComponent(document.getElementById("port").value);
      var RepositoryRoot = encodeURIComponent(document.getElementById("repository_root").value);

      var UserName = "";
      if(document.getElementById("authentication_enabled").checked)
      {
         UserName = encodeURIComponent(document.getElementById("user_name").value);
      }
      
      var Password = "";
      if(document.getElementById("authentication_enabled").checked && document.getElementById("password_persisted").checked)
      {
         Password = encodeURIComponent(document.getElementById("password").value);
      }

      <?cs /if ?> 
   
      if("" != RepositoryRoot)
      {           
         var AJAXCommandName = "retrieve_repository_connection_string";
   
         var AJAXTypeVariable = "Type=" + Type;
         var AJAXProtocolVariable = "Protocol=" + ProtocolShortName;
         var AJAXUserNameVariable = "UserName=" + UserName;
         var AJAXServerVariable = "Server=" + Server;
         var AJAXPortVariable = "Port=" + Port;
         var AJAXRepositoryRootVariable = "RepositoryRoot=" + RepositoryRoot;
         var AJAXPasswordVariable = "Password=" + Password;
                 	 
         AJAXpost(AJAXCommandName, AJAXTypeVariable + "&" + AJAXProtocolVariable + "&" + AJAXUserNameVariable + "&" + AJAXServerVariable + "&" + AJAXPortVariable + "&" + AJAXRepositoryRootVariable + "&" + AJAXPasswordVariable, 
   
            function(data)
            { 
               var Response = eval(data);
         
               if(undefined != Response.LoggedIn && !Response.LoggedIn)
               {
                  MiniLogin.show(Response.ErrorDescription, function() { updateConnectionStringPreview(); });
               }
               else
               {
                  <?cs if:IsReadOnly ?>
                  document.getElementById("connection_string").innerHTML = Response.ConnectionString;
                  <?cs else ?>            
                  document.getElementById("connection_string").value = Response.ConnectionString;
                  <?cs /if ?>
               }
            },
      
            function(data) 
            {
               MiniLogin.show("Iguana is not Responding", function() { window.location = "retrieve_repository_connection_string"; });
            }
         );
      }
   }  
   else
   {
      document.getElementById("connection_string").value = "";
      document.getElementById("connection_string_row").style.display = "none";
   } 
}

function updateFields()
{
   var ConnectionString = encodeURIComponent(document.getElementById("connection_string").value);

   var AJAXCommandName = "parse_repository_connection_string";      
   var AJAXConnectionStringVariable = "ConnectionString=" + ConnectionString;
                 	 
   AJAXpost(AJAXCommandName, AJAXConnectionStringVariable, 
   
      function(data)
      { 
         var Response = eval(data);
         
         if(undefined != Response.LoggedIn && !Response.LoggedIn)
         {
            MiniLogin.show(Response.ErrorDescription, function() { updateFields(); });
         }
         else
         {
	    document.getElementById("protocol").value = Response.Protocol;
	    document.getElementById("user_name").value = Response.UserName;
	    document.getElementById("server").value = Response.Server;
	    
	    if("" != Response.RepositoryRoot && "" == Response.Port)      
	    {
	       document.getElementById("port").value = "2401";
	    }
	    else
	    {
	       document.getElementById("port").value = Response.Port; 
	    }
	    
	    document.getElementById("repository_root").value = Response.RepositoryRoot;
         }
      },
      
      function(data) 
      {
         MiniLogin.show("Iguana is not Responding", function() { window.location = "parse_repository_connection_string"; });
      }
   );
}

// Click handler for the authentication checkbox
function onEnableAuthenticationClick()
{
   var IsAuthenticationEnabled = document.getElementById("authentication_enabled").checked;

   var UserNameRow = document.getElementById("user_name_row");
   var PersistPasswordRow = document.getElementById("persist_password_row");
   var PasswordRow = document.getElementById("password_row");

   if(IsAuthenticationEnabled)
   {
      UserNameRow.style.display = "";   
      PersistPasswordRow.style.display = ""; 

      if(document.getElementById("password_persisted").checked)
      {
         PasswordRow.style.display = "";   
      }
   }
   else
   {
      UserNameRow.style.display = "none";   
      PersistPasswordRow.style.display = "none";      
      PasswordRow.style.display = "none";  
   }

   updateConnectionStringPreview();
}

// Click handler for the persist password checkbox. 
function onPersistPasswordClick()
{
   var IsPersistPasswordEnabled = document.getElementById("password_persisted").checked;

   var PasswordRow = document.getElementById("password_row");

   if(IsPersistPasswordEnabled)
   {
      PasswordRow.style.display = "";   
   }
   else
   {
      PasswordRow.style.display = "none";     
   }

   updateConnectionStringPreview();
}

// Page load handler.  
function onLoad()
{   
   <?cs if:IsError ?>
      alert("<?cs var:Error ?>");   
   <?cs /if ?> 
   
   if("" != "<?cs var:RepositoryRoot ?>" && "" == "<?cs var:Port ?>")
   {
      document.getElementById("port").innerHTML = "2401";
   }
   else
   {
      document.getElementById("port").value = "<?cs var:Port ?>";
   }
} 
--> </script>

   <style type="text/css">

   table.configuration
   {
      <?cs if:IsReadOnly ?>
      width:350px;                   
      <?cs else ?>                
      width:450px;  
      <?cs /if ?>
      border:1; 
   }

   table.configuration td
   {
      border:0; 
   }

   table.subform
   {
      border-collapse:collapse;
      border-spacing:0;
      color:#000000;
      width:100%;
   }

   table.subform td
   {
      border-bottom:1px dotted #ADB1A5;
      border-right:1px dotted #ADB1A5;
      color:#000000;
      font-size:11px;
      font-weight:normal;
      padding:6px;
      text-align:left;
   }

   .repository_value_large
   {
      vertical-align:center;
      width:325px;
   }
 
   .repository_value_small
   {
      vertical-align:center;   
      width:180px;
   }

   .repository_value_very_small
   {
      vertical-align:center;   
      width:50px;
   }
   
   .repository_combo
   {
      width:331px;
   }
   
   fieldset
   {
      border:1px solid #A0A0A0;
   } 

   fieldset legend
   { 
      color:#787A77;
      font-weight:bold;
   }    

   div.label
   {
      font-size:11px;   
      font-weight:bold;
      line-height:12px;
      float:left;
      text-align:left; 
      display:block; 
   }
 
   div.content
   {
      font-size:11px; 
      text-align:right;
      line-height:12px;
      float:right;
      display:block; 
   }
        
   a.button
   {
      float:none;
      width:100px; 
   } 

   a.button span
   {
      font-size:10px;      
      text-align:center;
   } 

   #commit_comment
   {
      font-size:11px;      
   } 

   #commit_status
   {
      font-size:11px;      
   } 

   .ui-widget
   {
      font-size:11px;
   }
      
   .ui-widget button
   {
     font-size:11px;
   }

   .context_help
   {
      font-weight:normal; 
      font-size:9px;
      color:#787A77;
   }   

   #buttons
   {
      padding:10px;
   }

   input.checkbox
   {
      border:none;
      margin:0px;
      padding:0px;
   }           
   </style>
</head>

<body class="tabright" onload="javascript:onLoad();">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>
<?cs include:"file-browser.cs" ?>  
   
<div id="main">

<form id="repository_settings_form" action="update_source_repository_settings" method="post">
<table id="iguana">
	<tr> 
    	<td id="cookie_crumb">
        	<a href="/advanced.html">Settings</a> &gt; Configuration Control Settings
        </td>
    </tr>

	<tr>
		<td id="dashboard_body">
          
          <center>

          <table class="configuration">
             <tr class="header">
                <th colspan="2">Configuration Control Settings</th>
             </tr>
             
             <?cs if:IsReadOnly ?>

             <!-- Readonly form -->
                          
             <tr>
                <td>
                   <fieldset>
                   <table class="subform"><tr><td style="padding:6px;">
                      <div class="label" style="float:;text-align:center;width:100%;"><center><?cs if:Enabled ?>Configuration Control is enabled.<?cs else ?>Configuration Control is disabled.<?cs /if?></center></div>                  
                   </td></tr></table>
                   </fieldset>
                </td>
             </tr>
             <tr>                                     
                <td>
                   <fieldset>
                   <legend>CLIENT</legend>
                   <table class="subform">
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;">
                            <div class="label">Module </div>               
                            <div class="content"><span id="module" name="module" ><?cs var:Module ?></span></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;">   
                            <div class="label">Executable </div>                
                            <div class="content"><span id="executable" name="executable" ><?cs var:ClientExecutable ?></span></div>                 
                         </td>
                      </tr>
                      <tr>
                         <td style="padding:6px;">
                            <div class="label">Logging </div>                
                            <div class="content"><span id="is_logging_enabled" name="is_logging_enabled" ><?cs if:IsVerboseLoggingEnabled ?>enabled<?cs else ?>disabled<?cs /if ?></span></div>
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>                         
             </tr>                   
             <tr>
                <td>
                   <fieldset>
                   <legend>SERVER</legend>
                   <table class="subform">
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >
                            <div class="label">Type </div>
                            <div class="content"><span id="type" name="type" ><?cs if:Type == "cvs" ?>CVS<?cs /if ?></span></div>                         
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >
                            <div class="label">Protocol </div>              
                            <div class="content"><span id="protocol" name="protocol" ><?cs if:ProtocolLongName != "" ?><?cs var:ProtocolLongName ?> (<?cs var:ProtocolShortName ?>)<?cs /if ?></span></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >   
                            <div class="label">Address </div>                  
                            <div class="content"><span id="server" name="server" ><?cs var:Server ?></span></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >   
                            <div class="label">Port </div>               
                            <div class="content"><span id="port" name="port" ><?cs var:Port ?></span></div>
                          </td>
                      </tr>
                      <tr>
                         <td style="padding:6px;" >   
                            <div class="label">Root </div>                
                            <div class="content"><span id="repository_root" name="repository_root" ><?cs var:RepositoryRoot ?></span></div>                 
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>
             </tr>   
             <tr>                                     
                <td>
                   <fieldset>
                   <legend>AUTHENTICATION</legend>
                   <table class="subform">
                      <tr <?cs if:IsAuthenticationEnabled ?>style="display:none" <?cs /if ?> >
                         <td style="padding:6px;">
                            <div class="label" style="float:;text-align:center;width:100%;"><center>Authentication is disabled.</center></div>                   
                         </td>
                      </tr>
                      <?cs if:IsAuthenticationEnabled ?>
                      <tr>
                         <td style="padding:6px;">   
                            <div class="label">User </div>                 
                            <div class="content"><span id="user_name" name="user_name" ><?cs var:UserName ?></span></div>
                         </td>
                      </tr>
                      <?cs /if ?>
                   </table> 
                   </fieldset>
                </td>                         
             </tr>                                   
             <tr id="connection_string_row" <?cs if:ConnectionString == "" ?>style="display:none;"<?cs /if ?> >
                <td>
                  <fieldset>
                   <legend><span id="connection_string_label" class="label"><?cs if:Type == "cvs" ?>CVSROOT<?cs else ?>Connection String<?cs /if ?></span></legend>
                   <table class="subform">
                      <tr>
                         <td style="padding:6px;">
                           <div class="content" style="float:;text-align:left;width:100%;"><span id="connection_string" name="connection_string" ><?cs var:ConnectionString ?></span></div>                
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>                      
             </tr>      
             
             <?cs else ?>
             
             <!-- Editable form -->

             <tr>
                <td>
                   <fieldset>
                   <table class="subform"><tr><td style="padding:6px;">
                      <div class="label" style="float:;text-align:center;width:100%;"><input id="enabled" name="enabled" type="checkbox" class="checkbox" <?cs if:Enabled ?>checked<?cs /if?> /> Enable Configuration Control<br><span class="context_help">Track all changes to Iguana system and channel settings</span</div>
                   </td></tr></table> 
                   </fieldset>
                </td>
             </tr>
             <tr>                                     
                <td>
                   <fieldset>
                   <legend>CLIENT</legend>
                   <table class="subform">
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;">
                            <div class="label">Module </div>               
                            <div class="content"><input class="repository_value_large" id="module" name="module" value="<?cs var:Module ?>" /></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >   
                            <div class="label">Executable </div>                  
                            <div class="content"><input class="repository_value_large" id="executable" name="executable" value="<?cs var:ClientExecutable ?>" /><br><a class="button" style="margin-top:1px;width:65px;" href="javascript:FILbrowse('', 'executable');"><span>Browse</span></a></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="padding:6px;" >
                            <div class="label">Enable client logging</div>
                            <div class="content"><input id="is_logging_enabled" name="is_logging_enabled" type="checkbox" class="checkbox" <?cs if:IsVerboseLoggingEnabled ?>checked<?cs /if?> /></div>
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>                         
             </tr>                   
             <tr>
                <td>
                   <fieldset>
                   <legend>SERVER</legend>
                   <table class="subform">
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >
                            <div class="label">Type </div>
                            <div class="content">
                               <select class="repository_combo" id="type" name="type" onchange="javascript:retrieveSupportedProtocols(this);javascript:updateConnectionStringPreview();" >
                               <option value="">Select Type</option>                      
                               <option value="cvs" <?cs if:Type == "cvs"?>selected<?cs /if ?>>CVS</option>
                               </select>
                            </div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >
                            <div class="label">Protocol </div>              
                            <div class="content">
                               <select class="repository_combo" id="protocol" name="protocol" onchange="javascript:updateConnectionStringPreview();" >
                               <option value="">Select Protocol</option>                      
                               <?cs each:item = Protocols ?>
                               <?cs set:long_name=js_escape(item.LongName) ?>
                               <?cs set:short_name=js_escape(item.ShortName) ?>
                               <option value="<?cs var:short_name ?>" <?cs if:short_name == Protocol ?>selected<?cs /if ?> ><?cs var:long_name ?> (<?cs var:short_name ?>)</option>
                               <?cs /each ?> 
                               </select>                   
                            </div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >   
                            <div class="label">Address </div>                  
                            <div class="content"><input class="repository_value_large" id="server" name="server" value="<?cs var:Server ?>" onkeyup="javascript:updateConnectionStringPreview();" /></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="border-bottom:1px dotted #A0A0A0;padding:6px;" >   
                            <div class="label">Port </div>               
                            <div class="content"><input class="repository_value_large" id="port" name="port" onkeyup="javascript:updateConnectionStringPreview();" /></div>
                         </td>
                      </tr>
                      <tr>
                         <td style="padding:6px;">   
                            <div class="label">Root </div>                
                            <div class="content"><input class="repository_value_large" id="repository_root" name="repository_root" value="<?cs var:RepositoryRoot ?>" onkeyup="javascript:updateConnectionStringPreview();" /></div>
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>
             </tr>   
             <tr>                                     
                <td>
                   <fieldset>
                   <legend>AUTHENTICATION</legend>
                   <table class="subform">
                      <tr>
                         <td style="padding:6px;" >
                            <div class="label">Enable authentication for every commit</div>
                            <div class="content"><input id="authentication_enabled" name="authentication_enabled" type="checkbox" class="checkbox" <?cs if:IsAuthenticationEnabled ?>checked<?cs /if?> onchange="javascript:onEnableAuthenticationClick();" /></div>
                         </td>
                      </tr>
                      <tr id="user_name_row" <?cs if:!IsAuthenticationEnabled ?>style="display:none;"<?cs /if ?> >
                         <td style="border-bottom:1px dotted #A0A0A0;border-top:1px dotted #A0A0A0;padding:6px;">   
                            <div class="label">Username </div>                 
                            <div class="content"><input class="repository_value_large" id="user_name" name="user_name" value="<?cs var:UserName ?>" onkeyup="javascript:updateConnectionStringPreview();" /></div>
                         </td>
                      </tr>
                      <tr id="persist_password_row" <?cs if:!IsAuthenticationEnabled ?>style="display:none;"<?cs /if ?> >
                         <td style="padding:6px;">   
                            <div class="label">Persist password for every commit</div>
                            <div class="content"><input id="password_persisted" name="password_persisted" type="checkbox" class="checkbox" <?cs if:IsPasswordPersisted ?>checked<?cs /if?> onclick="javascript:onPersistPasswordClick();" /></div>              
                         </td>
                      </tr>
                      <tr id="password_row" <?cs if:!IsPasswordPersisted ?>style="display:none;"<?cs /if ?> >                                        
                         <td style="border-top:1px dotted #A0A0A0;padding:6px;"> 
                            <div class="label">Password </div>               
                            <div class="content"><input class="repository_value_large" id="password" name="password" type="password" value="<?cs var:Password ?>" onkeyup="javascript:updateConnectionStringPreview();" /></div>
                         </td>          
                      </tr>
                   </table> 
                   </fieldset>
                </td>                         
             </tr>                                   
             <tr id="connection_string_row" <?cs if:ConnectionString == "" ?>style="display:none;"<?cs /if ?> >
                <td>
                  <fieldset>
                   <legend><span id="connection_string_label" class="label"><?cs if:Type == "cvs" ?>CVSROOT<?cs else ?>Connection String<?cs /if ?></span></legend>
                   <table class="subform">
                      <tr>
                         <td style="padding:6px;">
                            <center>
                            <div style="width:100%;"><textarea style="width:400px;" id="connection_string" name="connection_string" onkeyup="javascript:updateFields();" style="overflow:auto;"><?cs var:ConnectionString ?></textarea></div>
                            </center>
                         </td>
                      </tr>
                   </table> 
                   </fieldset>
                </td>                      
             </tr>      
               
             <?cs /if ?>
             
          </table>

          <div id="buttons">
          <center>
          <?cs if:CurrentUserCanAdmin ?> 

             <?cs if:IsReadOnly ?>      
                <a class="button" href="edit_source_repository_settings"><span>Edit Settings</span></a>                     
             <?cs else ?>
                <table>
                   <tr>
                      <td> 
                      <a class="button" href="javascript:onSave();" onclick="this.blur();"><span>Save Settings</span></a>                    
                      </td>
                      <td>
                      <a class="button" href="/source_repository_settings" onclick="this.blur();"><span>Cancel</span></a>                    
                      </td>
                   </tr>
                 </table>    
             <?cs /if ?>

          <?cs /if ?> 
          </center>
          </div>                         
         
          </center>  

       </td>
       
	</tr>

</table>

</form>
		
</div>

<div id="side_panel">
   
   <table id="side_table">
      <tr>
         <th id="side_header">
            Page Help
         </th>
      </tr>
      <tr>
         <td id="side_body">
         <h4 class="side_title">Overview</h4>
         <div id="help_blurb">
         <?cs if:CurrentUserCanAdmin ?>
         This screen is used to configure Iguana's optional integration with an external source code control system.
         <?cs else ?>
         This screen shows the settings for Iguana's optional integration with an external source code control system.
         <?cs /if ?>
         </div>    
         </td>
      </tr>

   </table>
   
</div>

</body>
</html>
