<?cs include:"doctype.cs" ?>

<?cs # vim: set syntax=html :?>

<html>

<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Plugins &gt; Change</title>
   <?cs include:"browser_compatibility.cs" ?>
   <?cs include:"styles.cs" ?>

<script type="text/javascript" src="<?cs var:iguana_version_js("/js/ajax/ajax.js") ?>"></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("class.js") ?>"></script>
<script type="text/javascript" src="<?cs var:iguana_version_js("validation.js") ?>"></script>
<script type="text/javascript"> <!--

function RpcConfig_setDefaults()
{
   window.location='rpc_settings.html';
}

function saveAndRestart()
{
   var Form = document.getElementById('rpc_settings');
   Form.submit();
}

function goTo(Page)
{
   window.location = Page;
}
--> </script>

</head>

<script type="text/javascript"> <!--
      function assignValues(ElementNameToBeAssignedTo, ElementNameToAssign)
      {
         document.getElementById('rpc_settings').elements[ElementNameToBeAssignedTo].value = document.getElementById('rpc_settings').elements[ElementNameToAssign].value;
      }

--> </script>
<?cs def:showError(Value) ?>

<?cs if:Value ?>
<br><span style="color:red;" id="<?cs name:Value ?>">This port is in use by <?cs var:Value ?><br/>To view a list of ports in use by Iguana visit <a href="port_status.html">Dashboard &gt; Ports</a>.</span>
<?cs else ?>
<span id="<?cs name:Value ?>"></span>
<?cs /if ?>
<?cs /def ?>

<body class="tabright">

<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>


<div id="main">

   <table id="iguana">
      <tr>
         <td id="cookie_crumb">
            <a href="/advanced.html">Settings</a> &gt; <a href="/rpc_settings_view.html">Plugins</a> &gt; Change
         </td>
      </tr>

      <tr>
         <td id="dashboard_body">
            <center>

               <?cs if:ErrorMessage ?>
                  <h3><font color="red" id="test.ErrorMessage"><?cs var:html_escape(ErrorMessage) ?></font></h3>
	       <?cs else ?>
	          <span id="test.ErrorMessage"></span>
               <?cs /if ?>
               
               <?cs if:StatusMessage ?>
                  <h3><font color="green" id="test.StatusMessage"><?cs var:html_escape(StatusMessage) ?></font></h3>
               <?cs else ?>
	       	  <span id="test.StatusMessage"></span>
	       <?cs /if ?>

		<?cs if:RestartLink ?>
                <span id="divRefreshStatus"></span> <a href="<?cs var:html_escape(RestartLink) ?>">Continue</a> </p>
      <?cs /if ?>
	       
      <!-- begin form -->
     <form name="rpc_settings" id="rpc_settings" method="post" action="" onsubmit="return VALvalidateFields();">

         <table class="configuration" border="1" id="test.rpcserver">
         <tr class="header">
            <th colspan="2">Plugin Settings</th>
         </tr>
         <tr id="RpcPortRow">
           <td class="left_column">Plugin Communication Port</td>
           <td>
              <input size="5" type="text" name="RpcPort" id="test.RpcPort" value="<?cs var:html_escape(RpcPort) ?>" />
              <span id="RpcPortErrorContainer" class="validation_error_message_container">
              <script defer type="text/javascript">
                 VALregisterIntegerValidationFunction('test.RpcPort', 'RpcPortRow', 'RpcPortErrorContainer', null, null, 1, 65535);
              </script>
           </td>
         </tr>

         </table>
<span id="test.RpcPortErrorMessage"> <?cs call:showError(RpcPort_ErrorString) ?></span>
           <br />
               <table id="buttons"><tr><td>
               <input type="submit" class="hidden_submit" name="ApplyChanges" value="yes" />
               <a id="ApplyChanges" class="button" href="javascript:document.rpc_settings.ApplyChanges.click();" onclick="this.blur();"><span><img src="../<?cs var:skin("images/icon_save.gif") ?>" /> &nbsp;Save Changes and Restart Server</span></a>
               </td><td>
               <a class="button" href="javascript:RpcConfig_setDefaults();" onclick="this.blur();"><span>Reset to Default</span></a>
               </td><td>
               </td></tr></table>

      </form>
      <!-- end form -->
               
            </center>
         </td>
      </tr>
   </table>
</div>

<div id="side_panel">
   <table id="side_table">
      <tr>
         <th id="side_header">
	    Page Help
	 </th>
      </tr>
      <tr>
         <td id="side_body">
	    <h4 class="side_title">Overview</h4>
	    <p>
	       From this page, you can edit the plugin configuration settings.
	    </p>
	    <p>
	    Clicking the <b>Save Changes and Restart Server</b> button will save the new port and restart the Plugin Communication Server.
	    </p>
	 </td>
      </tr>
      <tr>
         <td id="side_body">
	    <h4 class="side_title">Help Links</h4>
            <ul class="help_link_icon">
            	<li>
            	<a href="<?cs var:help_link('iguana4_config_plugin') ?>" target="_blank">Plugin Settings</a>
            	</li>
            </ul>
	 </td>
      </tr>
   </table>
</div>
   
</body>

</html>

