<?cs include:"doctype.cs" ?>
<html>  <?cs # vim: set syntax=html :?>
<head>
   <title>Iguana <?cs if:ServerLabel ?>(<?cs var:html_escape(ServerLabel) ?>) <?cs /if ?>&gt; Settings &gt; Roles & Users</title>
   <?cs include:"browser_compatibility.cs" ?>
   <link rel="stylesheet" type="text/css" href="jquery-ui-1-8-16/css/ui-lightness/jquery-ui-1.8.16.custom.css" />  
   <?cs include:"styles.cs" ?>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("transition.css") ?>" />
<!--[if IE]>
   <link rel="stylesheet" type="text/css" href="<?cs var:skin("transition-ie7.css") ?>" />
   <style type="text/css">
      div#dashboard_body
      {
         padding:0px;
      }
   </style>
<![endif]-->
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/jquery132/jquery-1.3.2.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.watermark.min.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.position.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.core.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.widget.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.mouse.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.draggable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.resizable.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.button.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("jquery.ui.dialog.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/tooltip.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("normalize.js") ?>"></script>
   <script type="text/javascript" src="<?cs var:iguana_version_js("/js/utils/window.js") ?>"></script> 
   <script type="text/javascript" src="<?cs var:iguana_version_js("/sync_request.js") ?>"></script> 
   <?cs include:"mini-login.cs" ?>
</head>

<body class="tabright">
<?cs set:Navigation.CurrentTab = "Settings" ?>
<?cs include:"header.cs" ?>

<div id="main">
   <div id="iguana">
      <div id="cookie_crumb">
         <a href="/advanced.html">Settings</a> &gt; Roles &amp; Users
      </div>
      <div id="dashboard_body">
         <center>
            <div class="tabs_and_contents" >
               <div class="navcontainer">
   	          <h2 style="height:0px;"></h2>
                  <a id="settingsTab" href="/role_control.html"> Roles </a>
                  <a id="settingsTab" href="/user_control.html"> Users </a>
                  <a id="settingsTab" href="" class="current"> Sync </a>
                  <a id="settingsTab" href="/auth_control.html"> Authentication </a>
               </div>
               <div class="access_control">
                  <div>
                     <div class="border_green"></div>
                     <div class="h1">
                        <div class="h1_link" >
                           <span class="h1">Synchronize Users &amp; Roles</span>
                        </div>
                     </div>
                     <div id="result" style="display:none"> </div>
                     <?cs if:LocalSync ?>
                        <p>
                        Please enter the current admin password to apply the given
                        synchronization request.  All existing users and roles will be
                        replaced.
                        <p>
                        Admin password: <input id="pass" type="password"><br>
                        <input id="query" type="hidden" value="<?cs var:html_escape(Query) ?>">
                        <div style="padding:5px">
                           <table id="buttons"><tr><td>
                              <a class="button" id="apply"><span>Apply</span></a>
                           </table>
                        </div>
                     <?cs else ?>
                        <p>Select the remote Iguana instances that you want to synchronize
                        with this Iguana.
                        <table class="configuration">
                           <tr class="header">
                           <th><input type="checkbox" id="all">
                           <th>Remote Iguana
                           <th>Admin Password
                           <th>Sync Status
                           <?cs each: target = Targets ?>
                              <tr><td style="text-align:center">
                              <input type="checkbox" id="Use-<?cs var:name(target) ?>"
                                 value="<?cs var:html_escape(target.Link) ?>"
                                 <?cs if:target.Selected ?>checked<?cs /if?>>
                              <td><label for="Use-<?cs var:name(target) ?>"
                                 ><?cs var:html_escape(target.Link) ?></label>
                              <td><input type="password" id="Pass-<?cs var:name(target) ?>">
                              <td>
                                 <div id="idle-<?cs var:name(target) ?>">
                                    <img src="../images/sync-idle.gif"></div>
                                 <div id="busy-<?cs var:name(target) ?>" style="display:none">
                                    <img src="../images/sync-busy.gif">&nbsp;Busy</div>
                                 <div id="okay-<?cs var:name(target) ?>" style="display:none">
                                    <img src="../images/sync-success.gif"
                                    >&nbsp;<a href="#" target="_blank">Undo</a></div>
                                 <div id="fail-<?cs var:name(target) ?>" style="display:none">
                                    <img src="../images/sync-failure.gif"
                                    >&nbsp;<a href="#">Details</a></div>
                           <?cs /each ?>
                        </table>
                        <div style="padding:5px">
                           To add more remote instances to this list, visit the
                           <a href="/remote_iguana_settings_view.html">Remote Iguanas</a> page.
                        </div>
                        <div style="padding:5px">
                           <table id="buttons"><tr><td>
                              <a class="button" id="sync"><span>Synchronize</span></a>
                           </table>
                        </div>
                        <div id="confirm" style="display:none">
                           <p>Warning: this action will replace all the users and roles on
                           the selected remote Iguanas, with those from this instance.
                           <p>Please enter the admin password to confirm this action:
                           <p>Local Admin Password: <input id="pass" type="password">
                        </div>
                     <?cs /if ?>
                  </div>
               </div>
            </div>
         </center>
      </div>
   </div>
</div>

<div id="side_panel">
   <div id="side_table">
      <div id="side_header">
         Page Help
      </div>
      <div id="side_body">
         <h4 class="side_title">Overview</h4>
            <?cs if:LocalSync ?>
               <p>This page allows you to restore all users and roles from a previous
               state.  This action can be undone: a link will be logged, allowing you
               to undo this action.
            <?cs else ?>
               <p>Here you can replace all the users and roles on remote Iguana instances
               with those from this server.  Channel groups are not replaced.
               <p>When a Role is transferred to a remote instance, only those permissions
               assigned to channel groups common to both Iguanas are kept.
            <?cs /if ?>
         <h4 class="side_title">Related Settings</h4>
         <a href="/email_status.html">Email Notification</a><br/>
         <a href="/channel_groupings_control.html">Channel Groups</a>
      </div>
      <div id="side_body">
         <h4 class="side_title">Help Links</h4>
         <ul class="help_link_icon">
            <li><a href="<?cs var:help_link('iguana4_config_users_groups') ?>" target="_blank">Roles & Users</a>
         </ul>
      </div>
    </div>
</div>

</body>
</html> 
